<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__disconnect__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_disconnect_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__disconnect__param__t_1a984813400e6790d545bedca7f250bd37" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_disconnect_param_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>HCI error code as defined in Bluetooth 4.1 core specification, Volume 2, Part D, section 1.3. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="865" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="865" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__disconnect__param__t_1a45f013aacf1017d96c82cba6b7df20fd" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_disconnect_param_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="868" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="868" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__disconnect__param__t_1a34a26ceedec36f78cbd791447ffc0454" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_disconnect_param_t::reason</definition>
        <argsstring />
        <name>reason</name>
        <briefdescription>
<para>Reason for disconnection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="871" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="871" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Disconnection Parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="873" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="861" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="862" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__disconnect__param__t_1a45f013aacf1017d96c82cba6b7df20fd" virt="non-virtual"><scope>cy_stc_ble_gap_disconnect_param_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__disconnect__param__t_1a34a26ceedec36f78cbd791447ffc0454" virt="non-virtual"><scope>cy_stc_ble_gap_disconnect_param_t</scope><name>reason</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__disconnect__param__t_1a984813400e6790d545bedca7f250bd37" virt="non-virtual"><scope>cy_stc_ble_gap_disconnect_param_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>